Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface FeatureModelFacet

All Superinterfaces:
  EObject, ModelFacet, Notifier

All Known Subinterfaces:
  FeatureLabelModelFacet, FeatureLinkModelFacet

All Known Implementing Classes:
  FeatureLabelModelFacetImpl, FeatureLinkModelFacetImpl, FeatureModelFacetImpl

public interface FeatureModelFacet
extends ModelFacet

A representation of the model object 'Feature Model Facet'. Model facet of an EStructuralFeature

The following features are supported:

- `Meta Feature`

See Also:
  `GMFGenPackage.getFeatureModelFacet()`
** Generated **
Model:

Method Summary
`GenFeature` `getMetaFeature()` Returns the value of the 'Meta Feature' reference
`void` `setMetaFeature(GenFeature value)` Sets the value of the '`Meta Feature`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetaFeature

    public GenFeature getMetaFeature()

  Returns the value of the 'Meta Feature' reference.

  If the meaning of the 'Meta Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Meta Feature' reference.
  See Also:
    `FeatureModelFacet.setMetaFeature(GenFeature)`, `GMFGenPackage.getFeatureModelFacet_MetaFeature()`
  ** Generated **
  Model:
    required="true"

### setMetaFeature

    public void setMetaFeature(GenFeature value)

  Sets the value of the '`Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Meta Feature' reference.
  See Also:
    `FeatureModelFacet.getMetaFeature()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.